## com.saxonica.stream.watch
Class VoidWatchMaker

    java.lang.Object
      com.saxonica.stream.watch.VoidWatchMaker

All Implemented Interfaces:
  WatchMaker

    public class VoidWatchMaker

extends Object
implements WatchMaker

A singleton WatchMaker that returns the singleton `VoidWatch`

Method Summary
`static VoidWatchMaker` `getInstance()`
`Watch` `makeWatch(WatchManager watchManager, Feed out, Stack<XPathContext> contextStack)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static VoidWatchMaker getInstance()

### makeWatch

    public Watch makeWatch(WatchManager watchManager,
                           Feed out,
                           Stack<XPathContext> contextStack)
                    throws XPathException

  Specified by:
    `makeWatch` in interface `WatchMaker`
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.